package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFUserGroupDetail;
import com.sa.ibiz.demo.demo.service.WFUserGroupDetailService;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupDetailSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfusergroupdetail")
public class WFUserGroupDetailResource
{
	@Autowired
	private WFUserGroupDetailService service;


	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFUserGroupDetail> getDraft(@Validated @RequestBody WFUserGroupDetail data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组成员[getDraft]操作发生错误","WFUserGroupDetail","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFUserGroupDetail> create(@Validated @RequestBody WFUserGroupDetail data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组成员[create]操作发生错误","WFUserGroupDetail",data.getWfusergroupdetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFUserGroupDetail> update(@Validated @RequestBody WFUserGroupDetail data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组成员[update]操作发生错误","WFUserGroupDetail",data.getWfusergroupdetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFUserGroupDetail> checkKey(@Validated @RequestBody WFUserGroupDetail data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组成员[checkKey]操作发生错误","WFUserGroupDetail",data.getWfusergroupdetailid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<WFUserGroupDetail> get(@Validated @PathVariable String id){
		WFUserGroupDetail data=new WFUserGroupDetail();
		data.setWfusergroupdetailid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流用户组成员[get]操作发生错误","WFUserGroupDetail",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFUserGroupDetail> remove(@Validated @RequestBody WFUserGroupDetail data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流用户组成员[remove]操作发生错误","WFUserGroupDetail",data.getWfusergroupdetailid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFUserGroupDetail>> searchDefaultPage(@Validated @RequestBody WFUserGroupDetailSearchFilter filter){
		Page<WFUserGroupDetail> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFUserGroupDetail>> listDefault(@Validated @RequestBody WFUserGroupDetailSearchFilter filter){
		List<WFUserGroupDetail> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
